<?xml version="1.0" encoding="utf-8" standalone="no"?>
<vehicle type="implement">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
	
	<storeData>
        <name>
            <en>MB trac weight</en>
            <de>MB trac Gewicht</de>
		</name>
		
        <functions>
            <function>$l10n_function_weight</function>
        </functions>
	
		
        <rotation>0</rotation>
        <image>vehicles/mercedes/mbtracWeight/mbtracWeight.dds</image>
        <price>437</price>
        <lifetime>600</lifetime>
        <brand>MERCEDES</brand>
        <category>weights</category>
    </storeData>
	
	<base>
        <typeDesc>$l10n_typeDesc_weight</typeDesc>
        <filename>vehicles/mercedes/mbtracWeight/mbtracWeight.i3d</filename>
        <size width="2" length="2" />
		
        <components>
            <component centerOfMass="0 -0.2 0.357" solverIterationCount="10" mass="1000" />
        </components>
		
        
        <schemaOverlay attacherJointPosition="0 0" name="IMPLEMENT" />
    </base>
	
	<attachable>
        <inputAttacherJoints>
            <inputAttacherJoint node="attacherJoint" jointType="implement" topReferenceNode="topReferenceNode" lowerRotLimitScale="0 0 0" upperRotationOffset="3" lowerRotationOffset="0" needsLowering="false">
                <distanceToGround lower="0.2" upper="1.3" />
            </inputAttacherJoint>
        </inputAttacherJoints>
    </attachable>
	
	<foliageBending>
        <bendingNode minX="-0.6" maxX="0.6" minZ="-0.4" maxZ="0.5" yOffset="0.2" />
    </foliageBending>
	
	<baseMaterial>
        <material name="tracWeight_mat" baseNode="weight_vis">
            <shaderParameter name="colorMat0" value="MERCEDES_RED" material="0"/>
        </material>
		
		<material name="tracWeightDecals_mat" baseNode="decal_vis">
            <shaderParameter name="colorMat0" value="MERCEDES_WHITE" material="0"/>
        </material>
    </baseMaterial>
	
	<!--MBtracWeightEditionConfigurations>
		<MBtracWeightEditionConfiguration name="$l10n_configuration_valueDefault" price="0"/>
		
		<MBtracWeightEditionConfiguration name="$l10n_configuration_mbTracGreen" price="350"> 
			<colorChanges>
				<colorChange materialName="tracWeight_mat" color="MERCEDES_GREEN1" shaderParameterName="colorMat0" materialId="0"/>
				<colorChange materialName="tracWeightDecals_mat" color="MERCEDES_GREEN2" shaderParameterName="colorMat0" materialId="0"/>
			</colorChanges>
        </MBtracWeightEditionConfiguration>
		
		<MBtracWeightEditionConfiguration name="$l10n_configuration_silberdistel" price="350"> 
			<colorChanges>
				<colorChange materialName="tracWeight_mat" color="MERCEDES_SILBERDISTEL_GREEN1" shaderParameterName="colorMat0" materialId="27"/>
				<colorChange materialName="tracWeightDecals_mat" color="MERCEDES_SILBERDISTEL_GREEN2" shaderParameterName="colorMat0" materialId="27"/>
			</colorChanges>
        </MBtracWeightEditionConfiguration>
		
		<MBtracWeightEditionConfiguration name="$l10n_configuration_green" price="350"> 
			<colorChanges>
				<colorChange materialName="tracWeight_mat" color="MERCEDES_MUSEUM_BLACK" shaderParameterName="colorMat0" materialId="0"/>
				<colorChange materialName="tracWeightDecals_mat" color="MERCEDES_GREEN3" shaderParameterName="colorMat0" materialId="0"/>
			</colorChanges>
        </MBtracWeightEditionConfiguration>
		
		<MBtracWeightEditionConfiguration name="$l10n_configuration_black" price="150"> 
			<colorChanges>
				<colorChange materialName="tracWeight_mat" color="MERCEDES_BLACK" shaderParameterName="colorMat0" materialId="0"/>
				<colorChange materialName="tracWeightDecals_mat" color="MERCEDES_SILVER" shaderParameterName="colorMat0" materialId="27"/>
			</colorChanges>
        </MBtracWeightEditionConfiguration>
	</MBtracWeightEditionConfigurations-->
	
	
	<design2Configurations>
		<design2Configuration name="$l10n_configuration_valueDefault" price="0">
		</design2Configuration>
		<design2Configuration name="$l10n_configuration_mbTracGreen" price="0">
				<material name="tracWeight_mat" color="MERCEDES_GREEN1" shaderParameter="colorMat0" material="0"/>
				<material name="tracWeightDecals_mat" color="MERCEDES_GREEN2" shaderParameter="colorMat0" material="0"/>
		</design2Configuration>
		<design2Configuration name="$l10n_configuration_silberdistel" price="7500">
				<material name="tracWeight_mat" color="MERCEDES_SILBERDISTEL_GREEN1" shaderParameter="colorMat0" material="27"/>
				<material name="tracWeightDecals_mat" color="MERCEDES_SILBERDISTEL_GREEN2" shaderParameter="colorMat0" material="27"/>
		</design2Configuration>
		<design2Configuration name="$l10n_configuration_black" price="7500">
				<material name="tracWeight_mat" color="MERCEDES_BLACK" shaderParameter="colorMat0" material="0"/>
				<material name="tracWeightDecals_mat" color="MERCEDES_SILVER" shaderParameter="colorMat0" material="27"/>
		 </design2Configuration>
    </design2Configurations>	
	
	
	
	<wearable wearDuration="480" workMultiplier="5" fieldMultiplier="2"/>
    <washable dirtDuration="90" washDuration="1" workMultiplier="3" fieldMultiplier="2"/>
	
	<i3dMappings>
		<i3dMapping id="weight_vis" 		node="0>0" />
		<i3dMapping id="decal_vis" 			node="0>0|0" />
        <i3dMapping id="attacherJoint" 		node="0>2" />
        <i3dMapping id="topReferenceNode" 	node="0>3" />
    </i3dMappings>
</vehicle>